Updates the territory with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "81358c9e-bbf2-4834-8d16-3ce3239323f7",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "e0e2c84e-f6e7-4f43-b377-5ba6bd414ab5",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "3090ae64-6433-42ea-8dc4-897ca2155282",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "b10cbc54-1e6d-4377-956f-df83c6c35f18",
    "db_currency_id": "54cd04ec-db9d-4668-81a8-7e8e4143384c",
    "db_language_id": "f0944f31-8473-40ae-821e-17279dff72e9",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-16T18:30:17.4808971+00:00"
  },
  "modified_dateutc": "2026-05-16T18:30:17.4808971+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.